1

This evening, I installed the latest stable release (version 10) of LLVM, Clang, etc.. I used these commands:

sudo apt-get install libllvm-10-ocaml-dev libllvm10 llvm-10 llvm-10-dev llvm-10-doc llvm-10-examples llvm-10-runtime

sudo apt-get install clang-10 clang-tools-10 clang-10-doc libclang-common-10-dev libclang-10-dev libclang1-10 libclang-cpp10 libclang-cpp10-dev clang-tidy-10 clang-format-10 python3-clang-10 clangd-10

sudo apt-get install libfuzzer-10-dev

sudo apt-get install lldb-10 liblldb-10 liblldb-10-dev

sudo apt-get install lld-10 liblld-10 liblld-10-dev

sudo apt-get install libc++1-10 libc++-10-dev libc++abi1-10 libc++abi-10-dev

sudo apt-get install libomp-10-dev libomp-10-doc 

It gave me a notice about some unneeded packages so I let autoremove take care of them. And then I discovered it uninstalled Steam! I'm not sure whether it was the apt-get install commands, or the autoremove that did it. I tried reinstalling Steam, but it gave errors about packages that WON'T be installed:

The following packages have unmet dependencies:
  steam: Depends: libgl1-mesa-dri (>= 17.3) but it is not going to be installed or
                  libtxc-dxtn0 but it is not installable
         Depends: libgl1-mesa-dri but it is not going to be installed
         Depends: libgl1-mesa-glx but it is not going to be installed
         Recommends: nvidia-driver-libs-i386 but it is not installable

So I tried uninstalling the latest LLVM et al, and going back to the previous state (by using the same commands but using "remove" instead of "install"), but it said it was going to remove everything I've ever installed!!!

The following packages were automatically installed and are no longer required:
  abiword-common ant ant-optional antlr audacity-data brasero-common browser-plugin-evince bwidget calculix-ccx camlp4 cdrdao chemical-mime-data comgr dvd+rw-tools epiphany-browser-data
  exuberant-ctags folks-common fonts-freefont-ttf freecad-runtime gconf-service gconf-service-backend gconf2-common gdal-data gir1.2-harfbuzz-0.0 gir1.2-nautilus-3.0 gnome-session-common
  gnome-settings-daemon growisofs gsignond-plugin-mail gthumb-data gvfs-libs hsa-ext-rocr-dev hsa-rocr-dev hsakmt-roct ibverbs-providers icu-devtools io.elementary.cerbere junit
  kicad-doc-en ledit lib3ds-1-3 libactivation-java libaec0 libantlr-java libaopalliance-java libappindicator3-0.1-cil libargs4j-java libaribb24-0 libarmadillo8 libarpack2 libasm-java
  libatinject-jsr330-api-java libatk-bridge2.0-dev libatk1.0-dev libatk3.0-cil libatspi2.0-dev libbasicusageenvironment1 libboost-regex1.65.1 libbrasero-media3-1 libbrotli1
  libcairo-script-interpreter2 libcairo1.10-cil libcairo2-dev libcamlp4-ocaml-dev libcddb2 libcdi-api-java libcdio-cdda2 libcdio-paranoia2 libcglib-java libclc-dev libcloudproviders0
  libclutter-1.0-common libcodecore0 libcodemodel-java libcogl-common libcommons-cli-java libcommons-codec-java libcommons-compress-java libcommons-lang3-java libctypes-ocaml
  libctypes-ocaml-dev libdap25 libdapclient6v5 libdbus-1-dev libdbus-glib2.0-cil libdbus2.0-cil libdc1394-22 libdca0 libdisasm0 libdouble-conversion1 libdrm-amdgpu1 libdrm-dev
  libdrm-nouveau2 libdrm-radeon1 libdtd-parser-java libdvbpsi10 libebml4v5 libecj-java libeditorconfig0 libegl-mesa0 libegl1 libegl1-mesa libelf-dev libepoxy-dev libepsilon1 libfaad2
  libfabric1 libfastinfoset-java libfindlib-ocaml libfindlib-ocaml-dev libflac++6v5 libflexdock-java libfolks-eds25 libfolks25 libfontconfig1-dev libfreehep-export-java
  libfreehep-graphics2d-java libfreehep-graphicsio-emf-java libfreehep-graphicsio-java libfreehep-graphicsio-tests-java libfreehep-io-java libfreehep-swing-java libfreehep-util-java
  libfreeimage3 libfreetype6-dev libfreexl1 libfyba0 libgbm1 libgconf-2-4 libgdal20 libgdk3.0-cil libgeos-3.6.2 libgeos-c1v5 libgeotiff2 libgeronimo-annotation-1.3-spec-java
  libgeronimo-interceptor-3.0-spec-java libgexiv2-2 libgio3.0-cil libgit2-26 libgit2-glib-1.0-0 libglapi-mesa libgles1 libgles2 libglib3.0-cil libgluegen2-jni libgluegen2-rt-java libglvnd0
  libgmime-2.6-0 libgmime-3.0-0 libgoffice-0.10-10 libgoffice-0.10-10-common libgraphene-1.0-0 libgraphite2-dev libgroupsock8 libgstreamer-plugins-bad1.0-0 libgtk3.0-cil libgtkspell3-3-0
  libguava-java libguice-java libharfbuzz-dev libharfbuzz-gobject0 libharfbuzz-icu0 libhawtjni-runtime-java libhdf4-0-alt libhdf5-100 libhdf5-openmpi-100 libhttp-parser2.7.1
  libhttpclient-java libhttpcore-java libhwloc-plugins libhwloc5 libibverbs1 libice-dev libicu-dev libicu-le-hb-dev libicu-le-hb0 libiculx60 libid3tag0 libinput-bin libinput10
  libistack-commons-java libjansi-java libjansi-native-java libjas-plotter-java libjavascriptcoregtk-3.0-0 libjavascriptcoregtk-4.0-18 libjaxb-api-java libjaxb-java libjeuclid-core-java
  libjgoodies-common-java libjgoodies-looks-java libjgraphx-java libjlatexmath-fop-java libjlatexmath-java libjogl2-java libjogl2-jni libjrosetta-java libjs-jquery-ui libjsoup-java
  libjsr305-java libjxr0 libkate1 libkmlbase1 libkmldom1 libkmlengine1 liblaf-plugin-java libldb1 liblightdm-gobject-1-0 liblilv-0-0 liblink-grammar5 liblirc-client0 liblivemedia62
  libloudmouth1-0 liblucene4.10-java libmad0 libmarkdown2 libmatio4 libmatroska6v5 libmaven-file-management-java libmaven-parent-java libmaven-resolver-java libmaven-shared-io-java
  libmaven-shared-utils-java libmaven3-core-java libmedc1v5 libmhash2 libmicrodns0 libminizip1 libmono-system-core4.0-cil libmpcdec6 libmtdev1 libmtp-common libmtp-runtime libmtp9
  libmuparser2v5 libnb-org-openide-util-java libnb-org-openide-util-lookup-java libncurses5-dev libnetcdf-c++4 libnetcdf13 libnfs11 libngspice-kicad libnl-route-3-200 libnotify3.0-cil
  libobs0 libocct-foundation-7.3 libocct-modeling-algorithms-7.3 libocct-modeling-data-7.3 liboce-foundation11 liboce-modeling11 liboce-ocaf-lite11 libodbc1 libogdi3.2 libopenal-data
  libopenal1 libopenctm1 libopenmpi2 libopenmpt-modplug1 libots0 libpango1.0-dev libpango3.0-cil libpantheon-files-core0 libpantheon-files-widgets0 libperl4-corelibs-perl libpfm4
  libpixman-1-dev libplacebo4 libplexus-archiver-java libplexus-cipher-java libplexus-classworlds-java libplexus-component-annotations-java libplexus-interpolation-java libplexus-io-java
  libplexus-sec-dispatcher-java libplexus-utils-java libplexus-utils2-java libportaudio2 libportsmf0v5 libproj12 libprotobuf-lite10 libproxy-tools libpsm-infinipath1 libpyside2-py3-5.11
  libqhull7 libqscintilla2-qt5-l10n libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5network5 libqt5positioning5 libqt5qml5 libqt5sensors5 libqt5webchannel5 libqt5xml5 libqt5xmlpatterns5
  libraptor2-0 librasqal3 librdf0 librdmacm1 libregexp-java librelaxng-datatype-java libresid-builder0c2a librngom-java libsdl-image1.2 libsdl-ttf2.0-0 libsdl2-2.0-0 libserd-0-0
  libshiboken2-py3-5.11 libsidplay2 libsisu-guice-java libsisu-inject-java libsisu-ioc-java libsisu-plexus-java libskinlf-java libslf4j-java libsm-dev libsmbclient libsnappy-java
  libsnappy-jni libsnl0 libsord-0-0 libsoundtouch1 libspatialite7 libspnav0 libspooles2.2 libsratom-0-0 libssh2-1 libstax-ex-java libstreambuffer-java libsuperlu5 libsz2
  libtablelayout-java libtalloc2 libtbb2 libtelepathy-glib0 libtevent0 libtidy5 libtotem-plparser-common libtotem-plparser18 libtxw2-java libupnp6 liburiparser1 libusageenvironment3
  libva-wayland2 libvala-0.40-0 libvamp-hostsdk3v5 libvlc-bin libvlc5 libvlccore9 libvulkan1 libwacom-bin libwacom-common libwacom2 libwagon-http-java libwagon-provider-api-java
  libwayland-bin libwayland-dev libwayland-server0 libwbclient0 libwebkit2gtk-4.0-37-gtk2 libwoff1 libwv-1.2-4 libwxbase3.0-0v5 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-icccm4
  libxcb-image0 libxcb-keysyms1 libxcb-present0 libxcb-randr0 libxcb-render-util0 libxcb-render0-dev libxcb-res0 libxcb-shape0 libxcb-shm0-dev libxcb-sync1 libxcb-xinerama0 libxcb-xkb1
  libxcb-xv0 libxcomposite-dev libxcursor-dev libxdamage-dev libxerces-c3.2 libxext-dev libxfixes-dev libxfont2 libxft-dev libxi-dev libxinerama-dev libxkbcommon-dev libxkbcommon-x11-0
  libxrandr-dev libxrender-dev libxshmfence1 libxsom-java libxtst-dev libxvmc1 libxxf86dga1 libxz-java libyajl2 libz3-4 libz3-dev libzinnia0v5 libzipios++0v5 link-grammar-dictionaries-en
  llvm-10-tools minisat mpi-default-bin mutter-common nautilus-data numlockx ocaml-base-nox ocaml-compiler-libs ocaml-findlib ocaml-interp ocaml-nox odbcinst odbcinst1debian2 openmpi-bin
  openmpi-common pgadmin3-data pgagent proj-bin proj-data python-matplotlib-data python-nautilus python-talloc python3-apport python3-certifi python3-cycler python3-dateutil
  python3-httplib2 python3-matplotlib python3-numpy python3-problem-report python3-pygments python3-pyparsing python3-pyside2.qtcore python3-pyside2.qtxml python3-pyside2uic
  python3-requests python3-requests-unixsocket python3-sip python3-tz python3-urllib3 qttranslations5-l10n rocm-opencl rocminfo samba-libs scilab-cli scilab-data scilab-doc scilab-include
  scilab-minimal-bin shiboken2 shotwell-common vlc-bin vlc-data vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-samba vlc-plugin-video-splitter wayland-protocols x11-apps
  x11-session-utils x11proto-composite-dev x11proto-damage-dev x11proto-fixes-dev x11proto-randr-dev x11proto-record-dev x11proto-xext-dev x11proto-xinerama-dev xfonts-base xinit xinput
  xserver-common xserver-xorg-legacy-hwe-18.04 xsltproc yelp-xsl zenity-common
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  abiword abiword-plugin-grammar adwaita-qt audacity audience calculix-cgx capnet-assist clang-10 clang-format-10 clang-tidy-10 clang-tools-10 clangd-10 com.github.bharatkalluri.gifup
  com.github.mohelm97.screenrecorder com.github.philip-scott.notes-up com.github.robertsanseries.ciano default-jre elementary-default-settings elementary-desktop elementary-tweaks
  epiphany-browser ffmpeg freecad freecad-python3 freeglut3 gala glogg gnome-session-bin gnome-startup-applications gstreamer1.0-gl gstreamer1.0-vaapi gthumb gvfs gvfs-backends
  gvfs-daemons gvfs-fuse io.elementary.camera io.elementary.code javahelp2 kicad libabiword-3.0 libatk-wrapper-java libatk-wrapper-java-jni libavdevice57 libchamplain-0.12-0
  libchamplain-gtk-0.12-0 libclang-10-dev libclang-common-10-dev libclang-cpp10 libclang-cpp10-dev libclang1-10 libclc-amdgcn libclutter-1.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0
  libcogl-pango20 libcogl-path20 libcogl20 libcoin80c libedataserverui-1.2-2 libegl-dev libegl1-mesa-dev libfreecad-python3-0.18 libfuzzer-10-dev libgala0 libgl-dev libgl1 libgl1-mesa-dev
  libgl1-mesa-dri libgl1-mesa-glx libgl2ps1.4 libgles-dev libglew2.0 libglu1-mesa libglvnd-dev libglx-dev libglx-mesa0 libglx0 libgstreamer-gl1.0-0 libgtk-3-dev liblld-10 liblld-10-dev
  liblldb-10 liblldb-10-dev libllvm-10-ocaml-dev libllvm10 libmaya-calendar0 libmutter-2-0 libnglib-6.2 libocct-data-exchange-7.3 libocct-ocaf-7.3 libocct-visualization-7.3 liboce-ocaf11
  liboce-visualization11 libqscintilla2-qt5-13 libqt4-opengl libqt5gui5 libqt5opengl5 libqt5printsupport5 libqt5quick5 libqt5svg5 libqt5webkit5 libqt5widgets5 libqt5x11extras5 libsoqt520
  libsuil-0-0 libvtk7.1 libwebkit2-sharp-4.0-cil libwebkit2gtk-4.0-37 libwebkitgtk-3.0-0 libwxgtk3.0-0v5 libwxgtk3.0-gtk3-0v5 libxatracker2 libyelp0 lld-10 lldb-10 llvm-10 llvm-10-dev
  llvm-10-doc llvm-10-examples llvm-10-runtime maya-calendar maya-calendar-daemon maya-calendar-plugin-caldav maya-calendar-plugin-google mesa-common-dev mesa-va-drivers mesa-vdpau-drivers
  mesa-vulkan-drivers meshlab minecraft-launcher mozc-utils-gui netgen obs-plugins obs-studio openjdk-11-jre pantheon-files pantheon-greeter pantheon-mail
  pantheon-online-accounts-plugin-fastmail pantheon-online-accounts-plugin-lastfm pantheon-online-accounts-plugin-mail pantheon-photos pantheon-shell pantheon-xsession-settings pgadmin3
  python3-clang-10 python3-lldb-10 python3-pivy python3-pyside2.qtgui python3-pyside2.qtopengl python3-pyside2.qtsvg python3-pyside2.qtuitools python3-pyside2.qtwidgets python3-wxgtk4.0
  qt5-gtk-platformtheme qt5-image-formats-plugins rocm-clang-ocl rocm-opencl-dev rocm-utils scilab scilab-full-bin shotwell sparkleshare sqlitebrowser switchboard
  switchboard-plug-notifications switchboard-plug-online-accounts switchboard-plug-pantheon-shell va-driver-all vdpau-driver-all virtualbox-6.1 vlc vlc-plugin-qt vlc-plugin-skins2
  vlc-plugin-video-output vlc-plugin-visualization wingpanel wxhexeditor x11-utils xorg xserver-xorg-core-hwe-18.04 xserver-xorg-hwe-18.04 xserver-xorg-input-all-hwe-18.04
  xserver-xorg-input-libinput-hwe-18.04 xserver-xorg-input-wacom-hwe-18.04 xserver-xorg-video-all-hwe-18.04 xserver-xorg-video-amdgpu-hwe-18.04 xserver-xorg-video-ati-hwe-18.04
  xserver-xorg-video-fbdev-hwe-18.04 xserver-xorg-video-intel-hwe-18.04 xserver-xorg-video-nouveau-hwe-18.04 xserver-xorg-video-qxl-hwe-18.04 xserver-xorg-video-radeon-hwe-18.04
  xserver-xorg-video-vesa-hwe-18.04 xserver-xorg-video-vmware-hwe-18.04 yelp zenity
0 upgraded, 0 newly installed, 198 to remove and 1 not upgraded.
After this operation, 2,161 MB disk space will be freed.

Why did installing a compiler bork my system? And how do I fix this?

  • I don't know what LLVM is but for me it looks like somehow you have installed something that has conflicting dependencies - it depends on packages which versions are older or not compatible with the ones you have already installed because of other applications and because of this the apt-update command attempts to remove all the applications which depended software is downgraded(or removed) because they do not work anymore - they are already broken. This is the reason why you cannot install Steam anymore - it depends of software which is not compatible with the packages you have now. – Bo rislav Jun 6 at 9:56
  • I finally got it fixed. I had to remove the apt.llvm.org repository from the sources.list. Then I could use the Force Version command in Synaptic to switch over to using LLVM builds from the kisak PPA (which still provides i386 builds of LLVM). That enabled me to reinstall steam, because it could finally get those 32-bit i386 library builds again. – watson Jun 6 at 11:21
  • that's nice. Can you answer your question with your solution and later accept it in order to be helpful for anyone in a situation like yours? – Bo rislav Jun 6 at 11:23
1

I finally got it fixed.

I had to remove the apt.llvm.org repository from the sources.list. Then I could use the Force Version command in Synaptic to switch over to using LLVM builds from the kisak PPA (which still provides i386 builds of LLVM). That enabled me to reinstall steam, because it could finally get those 32-bit i386 library builds again.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.